## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XStringCachedAllocator Class Reference

`#include <XStringCachedAllocator.hpp>`

Collaboration diagram for XStringCachedAllocator:

[legend]
List of all members.

## Public Types

- typedef XStringCached string_type
- typedef string_type::GetAndReleaseCachedString GetAndReleaseCachedString
- typedef ReusableArenaAllocator<
  string_type> ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Methods

- XStringCachedAllocator (size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size. More...
- ~XStringCachedAllocator ()
- string_type* createString (GetAndReleaseCachedString &theValue)
    Create an XString object from a cached string. More...
- string_type* clone (const string_type &value)
    Clone an XStringCached object. More...
- bool destroy (string_type *theString)
    Delete an XStringCached object from allocator. More...
- bool ownsObject (const string_type *theObject)
    Determine if an object is owned by the allocator... More...
- void reset ()
    Delete all XStringCached objects from allocator. More...
- size_type getBlockCount () const
    Get size of an ArenaBlock, that is, the number of objects in each block. More...
- size_type getBlockSize () const
    Get the number of ArenaBlocks currently allocated. More...

## Member Typedef Documentation

typedef ReusableArenaAllocator< string_type > XStringCachedAllocator::ArenaAllocatorType<string_type>

typedef string_type::GetAndReleaseCachedString XStringCachedAllocator::GetAndReleaseCachedString

typedef ArenaAllocatorType::size_type XStringCachedAllocator::size_type

typedef XStringCached XStringCachedAllocator::string_type

## Constructor & Destructor Documentation

XStringCachedAllocator::XStringCachedAllocator ( | size_type theBlockCount )

  | Construct an instance that will allocate blocks of the specified size. Parameters:
  theBlockSize | The block size.

XStringCachedAllocator::~XStringCachedAllocator ( | )

## Member Function Documentation

string_type * XStringCachedAllocator::clone ( | const string_type & value )

  | Clone an XStringCached object. Parameters:
  value | source XStringCached
Returns: pointer to an XStringCached

string_type * XStringCachedAllocator::createString ( | GetAndReleaseCachedString & theValue )

  | Create an XString object from a cached string. Parameters:
  theXObject | The source cached string
Returns: a pointer to the new XStringCached instance.

bool XStringCachedAllocator::destroy ( | string_type * theString )

| Delete an XStringCached object from allocator.

size_type XStringCachedAllocator::getBlockCount ( | ) const

| Get size of an ArenaBlock, that is, the number of objects in each block. Returns: The size of the block

size_type XStringCachedAllocator::getBlockSize ( | ) const

| Get the number of ArenaBlocks currently allocated. Returns: The number of blocks.

bool XStringCachedAllocator::ownsObject ( | const string_type * theObject )

| Determine if an object is owned by the allocator...

void XStringCachedAllocator::reset ( | )

| Delete all XStringCached objects from allocator.

The documentation for this class was generated from the following file:

- XStringCachedAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.